Package org.jboss.resteasy.wadl.i18n

## Interface Messages

- All Known Implementing Classes:
    `Messages_$bundle`

      @MessageBundle(projectCode="RESTEASY")
      public interface Messages

  Version:
    $Revision: 1.1 $ Copyright January 6, 2016
  Author:
    Ron Sigal

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `BASE` |
    `static Messages` | `MESSAGES` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `cantProcessWadl()` |
    `String` | `impossibleToGenerateWADL​(String className, String methodName)` |
    `String` | `loadingResteasyWadlServlet()` |
    `String` | `noResteasyDeployments()` |
    `String` | `overridingConsumesAnnotation()` |
    `String` | `path​(String key)` |
    `String` | `query​(String query)` |
    `String` | `resteasyWadlServletLoaded()` |
    `String` | `servingPathInfo​(String pathInfo)` |

- - ### Field Detail

    - #### MESSAGES

          static final Messages MESSAGES

    - #### BASE

          static final int BASE

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### impossibleToGenerateWADL

          @Message(id=19000,
                   value="Impossible to generate WADL for subresource returned by method {0}.{1} since return type is not a static JAXRS resource type",
                   format=MESSAGE_FORMAT)
          String impossibleToGenerateWADL​(String className,
                                          String methodName)

    - #### loadingResteasyWadlServlet

          @Message(id=19005,
                   value="Loading ResteasyWadlServlet")
          String loadingResteasyWadlServlet()

    - #### noResteasyDeployments

          @Message(id=19010,
                   value="There are no Resteasy deployments initialized yet to scan from. Either set the load-on-startup on each Resteasy servlet, or, if in an EE environment like JBoss or Wildfly, you\'ll have to do an invocation on each of your REST services to get the servlet loaded.")
          String noResteasyDeployments()

    - #### overridingConsumesAnnotation

          @Message(id=19015,
                   value="Overriding @Consumes annotation in favour of application/x-www-form-urlencoded due to the presence of @FormParam")
          String overridingConsumesAnnotation()

    - #### path

          @Message(id=19020,
                   value="Path: %s")
          String path​(String key)

    - #### query

          @Message(id=19025,
                   value="Query %s")
          String query​(String query)

    - #### resteasyWadlServletLoaded

          @Message(id=19030,
                   value="ResteasyWadlServlet loaded")
          String resteasyWadlServletLoaded()

    - #### servingPathInfo

          @Message(id=19035,
                   value="Serving %s")
          String servingPathInfo​(String pathInfo)

    - #### cantProcessWadl

          @Message(id=19036,
                   value="Error while processing WADL")
          String cantProcessWadl()